.primary-color-1 {
  background-color: #F9DE4B;
  color: #5D6047;
}

.primary-color-1-config {
  background-color: white;
  color: #5D6047;
}

.button-color-2 {
  background-color: #E9ECF3;
  color: #5D6047;
}

.button-color-2-config {
  background-color: white;
  color: #5D6047;
}

.custom-button-container {
  &.cb--container-fit {
    width: fit-content;
  }
  &.cb--container-full {
    width: 100%;
  }
  &.cb--left {
    justify-content: flex-start;
  }
  &.cb--right {
    justify-content: flex-end;
  }
  &.cb--center {
    justify-content: center;
  }
  .custom-button {
    &.cb--disabled {
      opacity: 0.3;
      pointer-events: none;
    }
    width: 100%;
    align-items: center;
    transition: .1s linear;
    outline: none;

    &.cb--reset-color-1 {
      border: 1px solid #F9DE4B;
      font-weight: 700;
      border-radius: 4px;
      font-size: 14px;
      padding: 15px 25px;
      display: flex;
      @extend .primary-color-1;
      &:hover {
        @extend .primary-color-1-config;
      }
    }
    &.cb--reset-color-1.cb--outline {
      @extend .primary-color-1-config;
      &:hover {
        @extend .primary-color-1;
      }
    }

    &.cb--button-color-2 {
      border: 1px solid #E9ECF3;
      font-weight: 700;
      border-radius: 4px;
      font-size: 14px;
      padding: 15px 25px;
      display: flex;
      @extend .button-color-2;
      &:hover {
        @extend .button-color-2-config;
      }
    }
    &.cb--button-color-2.cb--outline {
      @extend .button-color-2-config;
      &:hover {
        @extend .button-color-2;
      }
    }
  }
}
